Bug 1130574 - Password for horizon in the "Deployed" screen is shown wrong
Summary: Password for horizon in the "Deployed" screen is shown wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z1
: Installer
Assignee: Scott Seago
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 14:57 UTC by Brad P. Crochet
Modified: 2014-10-01 13:26 UTC (History)
6 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.3.2-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, Red Hat Enterprise Linux OpenStack Platform installer would display a randomly generated password, even though the user-provided password was used during configuration. The consequence was that the user would be informed of an incorrect password on the deployment summary screen. This update addresses this issue, and the correct password is now presented to the user.
Clone Of:
Environment:
Last Closed: 2014-10-01 13:26:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1350 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Bug Fix Advisory 2014-10-01 17:22:34 UTC

Description Brad P. Crochet 2014-08-15 14:57:38 UTC
Description of problem:
If a password was set as the 'Password for all services' (and not left as random string), the deployed screen, where the horizon url, username, and password is displayed, shows a random password, instead of the one set in the deployment wizard.

Version-Release number of selected component (if applicable):
ruby193-rubygem-staypuft-0.2.5-1.el6ost.noarch

Comment 3 Mike Burns 2014-08-15 15:40:02 UTC
Just a clarification:

If a password is set by the user on the first wizard screen, that is used for the admin user.  We display an incorrect password, but the user provided one is correct.

Comment 4 Brad P. Crochet 2014-08-15 15:55:03 UTC
PR Submitted

https://github.com/theforeman/staypuft/pull/269

Comment 8 Ami Jeain 2014-09-16 12:47:15 UTC
verified in latest puddle

Comment 10 errata-xmlrpc 2014-10-01 13:26:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1350.html


Note You need to log in before you can comment on or make changes to this bug.